hwlocality_levelzero(3)

NAME
hwlocality_levelzero - Interoperability with the oneAPI Level Zero interface.

SYNOPSIS

  Functions
static int hwloc_levelzero_get_device_cpuset (hwloc_topology_t topology, ze_device_handle_t device, hwloc_cpuset_t set)
static hwloc_obj_t hwloc_levelzero_get_device_osdev (hwloc_topology_t topology, ze_device_handle_t device)

Detailed Description

This interface offers ways to retrieve topology information about devices managed by the Level Zero API.

Function Documentation

  static int hwloc_levelzero_get_device_cpuset (hwloc_topology_t topology, ze_device_handle_t device, hwloc_cpuset_t set) [inline], [static]

Get the CPU set of logical processors that are physically close to the Level Zero device device. Store in set the CPU-set describing the locality of the Level Zero device device.

Topology topology and device device must match the local machine. The Level Zero must have been initialized with Sysman enabled (ZES_ENABLE_SYSMAN=1 in the environment). I/O devices detection and the Level Zero component are not needed in the topology.

The function only returns the locality of the device. If more information about the device is needed, OS objects should be used instead, see hwloc_levelzero_get_device_osdev().

This function is currently only implemented in a meaningful way for Linux; other systems will simply get a full cpuset.

Returns
    0 on success.

    -1 on error, for instance if device information could not be found.

  static hwloc_obj_t hwloc_levelzero_get_device_osdev (hwloc_topology_t topology, ze_device_handle_t device) [inline], [static]

Get the hwloc OS device object corresponding to Level Zero device device.

Returns
    The hwloc OS device object that describes the given Level Zero device device.

    NULL if none could be found.

Topology topology and device dv_ind must match the local machine. I/O devices detection and the Level Zero component must be enabled in the topology. If not, the locality of the object may still be found using hwloc_levelzero_get_device_cpuset().

Note
    The corresponding hwloc PCI device may be found by looking at the result parent pointer (unless PCI devices are filtered out).

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.